Bug 59184 - Can't see Unicode U1F300
Summary: Can't see Unicode U1F300
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All Linux (All)
: high major
Assignee: Caolán McNamara
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2013-01-09 23:04 UTC by vulcain
Modified: 2015-12-15 22:20 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test document with unicode caracter (13.39 KB, application/vnd.oasis.opendocument.text)
2013-01-09 23:04 UTC, vulcain
Details
Screencast on LibreOffice 3.5 (123.84 KB, image/png)
2013-01-09 23:05 UTC, vulcain
Details
Screencast on LibreOffice 4.0 (114.54 KB, image/png)
2013-01-09 23:06 UTC, vulcain
Details
Screenshot UnicodeOpenExpl.png (16.81 KB, image/png)
2013-11-13 14:35 UTC, pierre-yves samyn
Details
Screenshot UnicodeFileOpen.png (12.89 KB, image/png)
2013-11-13 14:36 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vulcain 2013-01-09 23:04:33 UTC
Created attachment 72757 [details]
Test document with unicode caracter

A list of this unicode: http://www.unicode.org/charts/PDF/U1F300.pdf

On Ubuntu 12.04 x86_64:
With LibreOffice 3.5, i could insert this unicode (or another)
but not with LibreOffice 4.0 beta 2

Expected: works on LibreOffice 4.0 as well as LibreOffice 3.5
Comment 1 vulcain 2013-01-09 23:05:28 UTC
Created attachment 72758 [details]
Screencast on LibreOffice 3.5
Comment 2 vulcain 2013-01-09 23:06:02 UTC
Created attachment 72759 [details]
Screencast on LibreOffice 4.0
Comment 3 Joel Madero 2013-01-10 17:45:28 UTC
I'm changing the version, I can confirm that the unicode appears borked but I can confirm it on an older version (3.6.3.2), version field is meant to show the first place where the bug can be seen.

Marking:
New (confirmed)
Normal - could potentially prevent high quality work
Low - not affecting many users at all but no workaround and looks like a regression from 3.5

Thanks for reporting
Comment 4 vulcain 2013-01-17 13:00:26 UTC
Comment on attachment 72757 [details]
Test document with unicode caracter

>PK����$¸)B^Æ2'���'������mimetypeapplication/vnd.oasis.opendocument.textPK��$¸)B���������������meta.xmlK0÷ývKl1Á"̦ê*Òt1ºû¸%62&¤ÿ¾æf2YtÉ9ßõ9~P¼\ÏupÛ*£·!Yá0�-TºÚ?Þ¾Eð¥üTãQ	`ÒîÚEgp<ð£ºeµ
;«á­jæghÌ4 vO³1hR®µÒ¿·áɹ!Ô÷ýªOVÆVäyFwA¥¸qMgëA
CBÈ þo©½¯d¹
øTz1NÑô½Ð²~¶Ï&È7äGýç0·wàqX.§;Ô(±°À'"?eIaáü$,NXè	WHÁ$¬@9%TÎ_r$;;®P~Ç_çE?Xï'ÄQC[Æô,Olü°±åîUÂ¥+üe§twÝÿÜÐ=M:Xx÷½o¬ù¡àTRó,ë¡ø°&É&é1KâlR9sÿEL··Ù:ߺuJ£îø¡HN»mè¯xÕWDsj<ªÍInååÍéf,No¬\DJgQ</ØÅIH2[Úß]RÚóHÆ4QY wO=ûË¿PKÄ.ñ2Å��Ì��PK��$¸)B���������������settings.xml½ZmsÚ8þ~¿"Ã÷òrÉIÒ1¤´´$0@¹~öºÈZ$ø÷·!ÍRcݧL,yWÚ·g5×±8z¥9ÊÚÉFíd³Úã¸süWíãí×8òiÒk0¶è#z]êf¶|SKl"Ó\7%A7MØÄäæµæÛÝM§,{²\>ßÔæÆ$Íz}±X|X}@5«\]]ÕÝêfkrÊgûªÊv¿U¯ìÙa²ÓFã¼ý_;ZòiNk·;l®{½Vý9æbk£õc{´©l¾pX¼Z­¶ë½ÿ¾óö
>ØÚfŬZ(gµÛÆu}[Äþb{05>ä>ñÈÌw
>>½ü«qqð/ÀgóÝÇ>9m<úh!DcÐ39Ó0AÀdíÖ¨ÊéèÊÂ{ Hú	½·øã%Ç\F°hÛX»Ì½C©¡Vû¼åªâÖØ6OË»²0öNgWåå¥ÊåÅçe¥j>P}²8±§¶:,Ì¢Æ`\g%}÷1¨|´ÍQ
>R­05mi,óI]ôâseY½m
ªÝg'¬FzBQGÑGßñðmu)Z^¬Ý÷ÓìAª!pþ\P	3cFÁì¡ÌQ4`9ñ£t¦ÀSù¬@a2Ajð1)tâ¥{lânÝPyð{fæ-¦ÁBo øL¾§§üEçbòçêêìäü²Ð~jì±{ðâo"Òi<Õ[ÊE­¡óÒ8ëSØ&ÔÜfUõZîðÍ×T>]õÈxúù=)-jï=®-x@4à¡IU±åuÍf Xsäëuj5ôEä=Æ
>uBÐ0÷¼¨@CÂ;¨òMD%¾N¢rÇPUic3YÐÃÖ÷´GúÜAi|NdϦҡF¨æbdÕ+ëdÆXdzÀ©ßjªÐ2mè¨Aåêâ¯	ý¨5E^N(±-G¯¼tÐ&ç+î'Êåh´Ò´à+ÂÜ
¾ð(iK
]ý
4grJª²ì=ì8¬�ÚºÊ^äI±$ùÊ /ùâĬ<aù£X0u¾±õêþä2Õ¦mðè!ØiäKzò©÷ÑC¼/ÄË»ÄS|t¢qñ
 Oý+)(©Õý!}I®!¿xó5xâ,
Yª£0I}X£Àýé8¤,qìÌÞaq"¼0µ5í\3Î1º0kðZÎ/#R#à+N|XnóiIÈ.èÞ©'ÞÍsûÍ=æ<çèÇÔe Hm+OCySQ¢RÏYíDmfEØ)õbù%;¬Õ¬½qdîÐGH­ÇûkúAù«¼bç-.ZíÍ@=lÏÏögmZepÝÍWÅÞ}g
ýÍ[wgt¸ÒÆø'»Ò'-u]²¯þ¸+©£0-Tëòé­¥$üIø<
WyÙ9¥ýº/­V?í¥«Sp$bEAY&ïçð¦eáKM¬Í»5LsÝ=®}´ýrIBø
>	Þ~l0pöß³Ö}Ù¨}øßEt-*Nȯ&åÃhdVôÞÁ¥ÂOwû«¿FY4¤hA)¶0«*O~¶±ÿô?}ÇÆ}~¥Õ w	jGÛL <åÔgöú5Äö\>�)7ôGª°|½ÒtØþ0.ë,dÔÌCj­Î6a*|v}w]]²MuØ:¢6ßc½u=¶/ñôÕ"Я3Î@ÔeCô¤h«êã¬e¯ð»k}ëMõ¢|ÝþPK-Ë Ñ��4&��PK��$¸)B���������������content.xmlí[Ý5¾ç)¬ABÝÉü%Ù$4[µ@)bW-l+àªrfÄZ=ØÎÏrUqåBñ'éðØLÒ$;éUÍMvÇç;?s¾s'ÖäöiLÀqíZ^͵�¢!0t­'ïÛ-ëÎÑk·Y¿CÔX8vȨTÒ¦¢J»ÖÓ1vXh®Õ)£;ÆWº"ä9©¬nÀem¦²ª²ÆÎéÂ^uÏ\Ö8TUÖXÔ²zUU
>b÷Êz@¢LϺÖPʤã8ɤ6	j¯Ýn;FZ¸dÄAE¡ÒÎãÕ<'ÇÆHªñil9$:{WN
ð%VÅxP¹"Æ©	W®
§7ªÓDeÝÊá
>NZÎãY-ð¸ª/KUÈqRù6StY1VªÒ5áú®[wÒëz²>áX"^ká!$aq/KÂyBØh¬Ë´(|±BÁwRqÑJÓCÃ_¶1ÒYf¸&aå6Æe~õ©ØòØ2&«Û]KsèGÑR¨
>'pTë«Æ³ÇM^·æ&ùúh/©Pyn®Uð\Gc6V%2ò|PìC}6¢ê&ÔÞ%MıAbÔ:sæ¦/F$oïÂÿ23*R;mUÕ,é´ç9§ÕÌéJfQÑâBWBry?t´ÌÖ{Ö§Òî[Gù6»p¾Ú¸í>¡£Ûéà-Az­ãîZÇl%xi=¨1ãbLλÖ0aâÍ(]°õVªôÇ=FØ,	/0sÕc¸§*»ý5. ³0Áu­`U�5¯8!Ý4íPF$XjKCM/m¤¢Rl
>W!41ÁB\*´YÅlPUkC:Åé#D?Aú	'8ä<@«c[ÝZΪ>ÍÖáHªÊ8´¢ÍçÜ=ò
>_Yô	äpÀa2ÌjA?Ì;Õ:U;Zydåõ±5¦	Ðgé`
>ýÙtjéPÍaÉÊ(Ê­ç0[mpfàTásÉR-ýDGÐt©^!3:m¥,¬I©äb18öþÙ
>þlù+³UjUö:$Ô|ÉÝ÷üìÓµ2õDK²ôôF 	R¡^W{¹^ówÏÀúîÓt&U·õ·®õâÙ¯EKJ¹^AÍ/¬m+úlèɳHù#°§ÄàÕO0ËÌ.@2Ûf±ÏaÙ=EVQVɹºT·Ï¿y9cC¬)µ(£]ËvkÍ IbÈ*ÿ}YhÌXzËJº.ñÐâ¿2-ßÿ~ii»MyIU®àùîÏkK_kÔ7ã%Ó¸2Zê7q5ïpÃ~ÉU®ÆMdA­åmÊѸ2Z7qÕkõúý«\17q5jnk3^2+£¥uÇX£vèmØ/¹ÊÓ¾¬Y6ä%Ó¸2Z<÷&αf­ÝÚTå²ÌÄUÎüýÁþàzÒ²?#ØIbög;IËþ`gÙì -û3%fF°£´ìÏvýÁ®ò²CgÎÊw~2AEçÅVÏøèÓ¢³w^^L³axn³$";£>g>åü=BFB¦oaè¼±Çù{N³¢þ½´·Óò
o«³¼Ü<ëèÅ<¡8Te
>x÷×ýëNf()µ~³£´þöaÝmzAËm6]×m7=Å-¼"%×ã[G÷Ù`¼EØqpKTwÀ??ùl³ÔfEïãQ¦-×-mùë¶dù&ÄØmÝÕv¿ùbKvïC¹4ÖÛmcýù¬U>@Ah\Ü­(¿mÉâR 	Cpεgýö«5~fkËØY_äw)CUN£¬Î'C&FÁ1îqôÐLÔ@Mî¹µzÍ=$¡_¡-üz½í·ZõVã°ÙlÖ~kÙwÎSÑXGoc̸å7[þxñãçÛ GÙ~À$	W ´ñ¦jÏÿØñc5k)a%$ª±¥T$¼Êð[®ç½Àß?U,gnpæögÅ»þPKQù¤��6��PK����$¸)B¾?S��S�����Thumbnails/thumbnail.pngPNG
>
>���
IHDR���µ������zA ��IDATxíÝ	\÷Çñg.æáá>T@SshHl¶IWÒTË4jóê«Ûc»iÓv«ÙM7ÛnîÔ¤ÙvcÔ"D%(  r_ÃÌ0Ï3ó,3\êom¿ïW^0Ìñ8âç¿<Ïÿyó<Ï�\x¡ß�\×ÐPÐPÐPÐPÐPÐPÐPÐPÐPÐPÐPÐPÐPÐPÐPÐP¾xüèéWYÓÓr³5s^Íëÿôíà_(+Ø®dØþúAÿÔéä£Ã%/Wè¾½!T0õ4sFTÅ~ñÆäý¯öçåÈ-Î6><°ïð[IÅwn½oEp~ð·øâ}QÝ/¢o¯oS1c-zV4xôeÙÿñúÞ[ý}å~Áþù¨~ß¹Õ/=¬nº`·ñ>¼ÙÚþüLzQçi¡buHÔàã«usÁËwo±H¹qN>Þ6À®Ú»Ït¨³U/üÖá¯ðÅûpZøô¸º&3¯
>Ū0ÄÀp!	AbF¢.=v:(2IªÐ2Mev\èäÓf¶Y£e\¹89<Â2\6ñ´è¼ØÞá!­Y7ÒÚ 	}ÄÆFoÆi|Ü¿�i,¤/ÞP¹iC&³aãûîúÞ^Ï;vÆxne&M|Øúûö¢ä¹Ù;yëÛ»'>lÔ¹nå§å件ö©çùh³¾ð;ùãù7üìþüu³W¦øÍ xýÑÊÓwn
>uÝçÐ×ÕcÌû$ªJ~oþÖów_aÚàúNvÙZ+ýoQ.úßvù£®OñÎË
Åí5óñ­åÚ^ÙöóoûuoMà'l#ï}Pã4éÜ©|kÃwù(ÅûÊêQÍWî]Ññ¹ßý²ÎÈmÅÒò¿ö¾îgâRä½}|ÚrÕÉjÍ·V÷U©Öo
>>?sFé·õ©ìÅÆð"ÑÒ®¬»b%óð»+>Äqß|çFziS¼Ý41Oä,µÿoÙ@¡²VwÛÕqÁ7#£3«òãõFHªPF.8[þ¹©´´-bmº¿8ü¦UÕÄ·D6U:¤ÏÉÍQÆëNwñ#g»¶*Z1 xÓüühI¥Ó_ü×<í;Øêþúî¯>íy °pÏcÓÏ[ãú°}ûÄuoN
3E®Q%/ÕuswüĦÕK;ºvû
>æÌ(÷mbR65Vkñ·]çß\qèò5¡W{Pè²:çZ¾@ÞOG?óêxA|OÚ=[uò«>oöì¿.3iüëßZõÊãÑçz	)±=7æS©¤ëÙý÷Óí>b)#
	÷eÆôíN¤	
>ê{NÌ=YáxËPܪ,
gfY£ÔÊ+1{.8ï̧lÔæ[~´£góÖüx%+w_dy_H¡	[¸¥È=TÎ=hV×С®JÅAÉlgyÌÍ;óéÞ]×UÑ/ºlöܾ«hû¥]³gfÏç¥ýc¿i
>T-Ù(/¯6ðAëYÏÏ5ļ5hþüÕ¦À;Üh?]ç»bÆ´Ùóúàýc¾rßØ´ñõb\ɶó²Q£Wá§qÆþNCdõl¯ÏzYåAL×oÌ㣣|Äò\û¹÷;F?î¼lÔ8RÓÞÐîHwU[núNò»®]iãzäù#`íö¸nì~èÒ]tΨqÏE÷¸yØõ!kÇÄ´ÁaÚ¸]?r7iãúå­ã·Ý	Ü¡%¿xiKèÔQYgßÏ5¯~|ßôSíÍ£Iú¹;ÊļÞìßuè=ùlÌõÁ²â¥ã·bë1]~áÃVoi·o/RÊLïûÍÚÿQþбɲøsK{~±´ìòéÕ?8!Q+­èíèÌJ°cGÙBñÒñ[N¢î¹`Èjë²:Refr7ÚDA6{hßze£*i¿Ðî¸ÒôÚ¬MÄeEeNµat] ^:~ûÏÛnó,Åæ§øÏuS1ã~N~éuÝ*Ï2£ëBñÆüá^àÐw[ûئéùcörvǸ÷]?.M¯ÜÅ÷׿ñá\3µØl=_~Æälý´V;=¼#øúõ«[³ëΨ±ãß_ûȾñèÇ;¼1¸¸·eªø¿~ú`	W¸cïéʱ©Õj~Ûª´ÖÞ^Rbø§-Ü]pgyU4xèåkq¿Z.J$Ê+ïXóÔÇvítBÎv±ñN¼Ãóg{lsSË3pmh.ÜZUç#c¬L*2OÕùÝzO¹¼Eþ|ýk¢U±~VVìá>2Ï3Îl4^yÇZcÿQõâ5¿z÷&| ­¡)ÆéÄ[¼0\¾ÀÝÑý£-úúÍ!?GÇÀ÷#BÖ°¢+[¹9;)~¥káØ]»vÍÞðÕw¬1Ì3O¸¦TmV@4þvñkòi·ìÑÎøR³êî©Ù50sõª«¿;Ö7ú°Ô¼»ÿÊg-xN±|hiÝKNtàþºvÅ®µþÓOc»íBSÅGÂÇtÍ}¹láÙr¾òY4j_õµ¥
§;8uNz?^OíÝ3ÏZ`-#=M¶àÕ+{Úlþ:R2xÔuB:N4ôeůyv¿U£VjÂMçÛÍ?åßèÃ,÷,UÔ5êVVUIÒ2m=´ªÒó²Kí-lT"s'=Ì#/̧>K#*¦ÏZ*â2ù×_aoý¿¡Ùæ`-v;1{Ú$
>g-£6£·ö¢å¦5yËGÞîV&äEÖÕÈ$ÓhúAy¤¶5È*KÖ¥f*¼&Ñmêg
­K)/TV6Þr·°©ËÃIóÇó)£Ê{ÖÂÖ¢-îϤx¾Ú½súéß½tcí;<7R¾Â¯á>wqåæ_D1wáYîÄÜ5÷»n¥á¤ùuã|ES,Nz¸vn>`!    |©>l¯»]Úoihl,ûÈP8kíÏÙWbf\hZ:4Ãö¸ÎÒ;ö³ÿôÙùd¾²å·OÔ?GÐäý¦ª·>2¥uõÇÝkè6sPyéW¦¦e§jünß±¸íÕ7/¤ÞvG^Øô·`r÷LÎùg&¶ühbÇ#¥¢Û<Çÿß-»ÿü¥Wø¯?T÷î±qÖ`»gçµeP!ÞÜròäggåwÜ ÿõeúp®øáíËRÂ\'ÃÙ½=ZhyãÙNaVç¾4ÃÃû>ùàýþ{* <=ÖÖ0ûBS©Ëý*Ïq®}¡ÜXõ¿ìÒø0ÕÐ7®W+¸³·÷÷ðú£±w®|«lu§Ókeßf{˯ý.qX=à\ôðËÛ¿zöHþ{û
ÿìøéóm&CÚ^c<]:z{ñ²3Í.É46§¼ùÍ÷維÷eí®Ý3ÒTj©?R?fsì{±ÖÖÕÝ%R%ç-æú£ïµå*{uiwÂ}Þ¿>l¨¦[áÅ°îÝ0üöaã¾çkU-9sA=z^±ù±Í±çûrÁ
sݬ/q})ýÙÓÂÅÑ=Õ¾F'ãBb¿T?Êj´¢Án,Ósi0¿sÖ½¬|	3b²±b©Öï²MéÒÒ}JÞéVÆç×õF\R·¼êXÏ°2!'êóÏí@í{±«ö¢ewmÁ}`°°ÇXQ2¤õ8T&Qê4Â26þεÖêò*sVZDóJÆYmfY®õóa-²¸AËÜ9PwJá'bõM­£9¢¦sL(1ùÉ\»gìF}¾âXUóhTR°\.r(ÂcÅLÜ¢óñ3壳·<n$&Ù¾ºöfsuez¸°µOöuÊøÑ~>)5ÒVUVÙ)r´~ùT_Z±¿a®õ%®/´rëÄÏòµWëÒLáî}¿îòM]Úç3ãÞ¢4Ïçô9O/¼fÄ,«:þ2uû½Îx$síÌ祺·~éÿåº>ïþyñîYÚëº"ÅË~¥mWÞ²¢hêØᬹîýÞÉ[EOÊäºYOâ¥õëÏ÷,ÑVJüþOÖ¸GNÏÕÆ2ãT3/G65*æZO~\e6ráj3ÏÕ7óþºñý/µÞûú:HY8^Y¿®Ñ¬]QñÕ'Pqûö"ßó7(KË«}Ú°½x¨O$iæ{çjÍ-¨4´u
>bÃ,NÖhpD&-KLMøôL7«ÓiQKC3sµ>óð~á¯çõë£w&ÄM³:M]þRçÈÓäètñ##êÏÖËF³#á½|°/uSªàb_kÝ £Ñø´í±dPêdÏKÔÎu]~¹óðnáðæúõ3Ó÷å?õãüÉHËÉOsÜêCÚÓ}'Fú¥Ó¯qik3bíòZf%ã³qrøÆüÿ>xåúRÇþõ÷²â¢÷~'ÅäÙ54ëÓ{Ì<«ØÝÇÛ¸¾©)įçÌi½n{¡´éÂFýä¦]%þpÈwíâeóÿ¦áʼr})µÒÞÖR{ìêS%C½wíÎ9óËtçdø÷ré;os||°éÍ£ï·/º·0ÚÇqÿCEÁ3¦þº[¼Ù"q"îM-Ù,ëííÐ_V·æǤùæámÃ_Á;çÏYeñ~©Ó!ò9ìNyÜYKÙxAN §ÓiDÕÖ1VØöRs×MæòfSa03=$èÛKw4×)ÄÉMÙëÿðnsl~AÍxâ¿NF<Zà¿d®	ïÌ{ø|âägÜüÍo×Ô|cr	{ÑEI±cUì®WûÎB
>|¡çBSñ~÷±Çʺ	ÊE×̵Ú?6g	;3g;sÕU?Së}´Ë6ݽÌ[oí+ÿ´3fuN(öµÌæùÔsdU-pº²sLÈÌã·ÜëÔÅÊ0×M÷Ù;r/­kxÕ Ëøh&[sõÛR⤼�ÑÌ{¹7úðÔsq}í?RÇIåáËK·ÝÍîû£ç_$Ê_·8+STSï»"­ï½ãÖø¦àéíWæS÷ñOcå¯}"Z¬½ÐÊ(®Ó*Á¡¡E©òÆC%â¬èúO?z«B{Ïù£çkVÊDÀ}ÿç_dR²%ågb_u×þ?v¼³µ­+zÛÖf»ÃÙwà/sïT:,ÓZW嫪ýÝ×ùOÉ4­ÉÉÎfÿ ©U¨üíÖp__¬ò`«Ü0µýkóðùûáùÔuüóäûGN["RíJ;hwV)ÔÍL¨ÜÒÒò*«T,
>ÂþÚN#phÄbw­keUKR#muµ«ÍhÅ/N[ùÊ¡ó­ºÔ¤+,s$²é­©é}O¼&¼Î_ëX¬ëjÌ
>ù^Ád÷,|çªÁªn{¶å¥Q9]Ú>u6Ö? ¯Ì§«=Ç?/;Ä9)=ËuÆå³gê
>=iFO]ÀÿÉgÞ¯¹×½ ~¥ë¶^æî³Ëµ*Þu®?gȶ±È5öæ¹ÓzþE"×<×ðÛ¶|µÖæöa¦:~{ù¸ê-Xìþ7Áñ}                                                                                                                                                                                                                                                                                                                                                                               ü)èÙz´����IEND®B`PK��$¸)B���������������manifest.rdfÍÍn0ï<eÎØ@/r(ʹjÀ5X/òÞ¾VQ¤ªêÔã®F3ß´íaȲ¨ÁT4c)%ÊHhµé+:».¹¥Û:Úض+ñj¥*ºwn*9_-7lϳ¢(xó<O¼"ÁÕ8qHÆ´	Biõä|9Îâ	fWQtë y÷ =Ý:© ²
>a¶R½¶ @	LÊtºNKÅ3óQ9Á¡íâÇ`½Ó¢<`ð+ÏØÞ¦å^཰î\ß|hzîczuÓÅñß#`2îOê»;yÿçþ.Ïÿ⯴vDl@Σgúç´òUG¯PK´÷hÒ����PK����$¸)B���������������Configurations2/popupmenu/PK����$¸)B���������������Configurations2/images/Bitmaps/PK����$¸)B���������������Configurations2/toolpanel/PK����$¸)B���������������Configurations2/statusbar/PK����$¸)B���������������Configurations2/progressbar/PK����$¸)B���������������Configurations2/toolbar/PK����$¸)B���������������Configurations2/menubar/PK����$¸)B���������������Configurations2/floater/PK��$¸)B������������'���Configurations2/accelerator/current.xml�PK�����������PK��$¸)B������������
>���styles.xmlÝZ[Û6~ß_a¨è¾É²ìqfìÆ)°HZ´I±Ø§(JHÊüú¢DÉGûàÀ<¿s¥·?3:Ùc.Ë7^8yG,&ùnãýùùgÿÉûñÝ¿Þ²$!^Ç,*3K_ÈÅbs±6ÂWò|Í b£µÖ¬À¹´vµ×z)3¢®ÝÙåØÉJ·5mǯ¬ÝÙ1G±.`êNOØØÉGAýùË
>$IÇ#%ùJY¬àp8L)ã» \­VÖGµ^Qrªµâ(À«ÅDNÃÀêfX¢±þ)]×¥¼Ì¶Itvªb¿Íýn�(E|47´rûxñøã]ÄîÜÉtàL Ôÿ}üÐpgc×Rº-¨"NÑÛ4Úî|ÆXíª`T»;ÍóÛÑ>\T?p"1wÔ£ê¢Q8Ëú@½0�
ïM­6W´¼8.µ#ÉøèÌëðJeFÃKI­êÇq¯*¸³ ÔèþàÃw^+s^>Uç�tznVróÔÅ	á,P:uØÀ4Iïê´°2M@©¨�ÄÇs¢DêiëV,
>±}à|þ#P2_åfÈ>UypJÒÜ{gëO ö$(Â~#*Þ½5y£ßʹ÷¥DNÞ<&¡7,aõ2BOïߨ`âGÉxÁe«¿xNÙÑð3dH
åä@\ð°£Y¹9iYWüÎA³å/õàõp5
>"#È{ĦæC¹åèpMW¹Ö0欺èÒIH]ãÓqþ{òÿÉGq6y}ëÑ}5¡8­ÆMÛh÷ã´j&­åÊ×GEJ"ÏêV¿ýCöâ@ó©ö'$g_0Ê ßøîi¦þ¼ÊfëPZK¢?&Ko°õLù¬:½äÌW¿«)"E1;øà­ÀÒ?n¼Ùte½ÂSG(¡{ð¡Ù¾(P­2N¾2êüé¢ò^m*:Wê4ÖêjÍ
>d
>û8ú¦yNÇ
>ÄÆ»¶)}©5x$Æ̨"Z¤È. ÝØr 1#"´Õ(ß2ÃtÊ}¹m
>B«¬2ÜÍX'­Pà7¬uÃn×êÊï³Ý¹:U½xEÉK¬¢ù
>óBê1ò]v0p=AQèðóõö±Èÿy®]7]*>4"H¸ÙtYÔøXóVú5µj+øé×sª¦øh½íX¬¥)éÚ¬E¿üê5¶âsLÐÖ'à]¤ç:qûÅ1 ¥}ÑIIFj÷G2®(óHÆ 
>hØ%ìÐJ~L 0sµ4Ë°6i�³	o`slC¥øäSkZõ[U¯^ó­]LoAgmØf.9ÎÉ}õhy8?S*JvT®Ó¡;ébFæ²a˸
>
Å;Èâ@"
>¡H}íÂ>gÎâ0Ò	Ò/¾d;,Sõ4¯ð¹Ý
·?AHÅÇÞ`®°GàÄS]çöÞc;a=hê*¿ß\®«ðþÏþÚ²øÔçÖsY-CR@V¨û0×%·ß2)Õ.TãpÞdÖKD»Å®>]«s]«= x.ÿ$ÝJwrËC[×¥^C/te¤áØ3Üê;/HâE'çD'®ø¾|3®¤Áh<>@û^à=U&Gp­ÅùX&ã÷öÒû+#l£Ætub×Ä´¾67¤ºÃmîSìêl8Î:3¦f@«	ð5úf´gòcW»UjyµÎhüÏÇWdÑö.²àNìÿú@Óæ:Jô§G£6éèÔè­3­±þrrI¥Þpû­½]7+¥y2<ÛõoFâu)ÞcZ©S|ݯnÕÔ×zÃ*óUS»\pELݹt¨cûh¶ nïru?Úg¶£RÙÖ	´zìc{29z4ÏY¼~f±ë«ôøÆ&'}XD?Eo<ßTiâD6S{7
Ò!<G"=¿+¤Ãé,|Ó´+i!m7GzqgHÏ®õøÍa~¸3óIh#¸9ÒË;Cúññi�éFÒAÚnô»Bz>-úË¡+i!m7GúñÎ?õCWÒAÚnôÓ!½ìOÓ óòIÒ«;ùq5s#é�m7G:ÝÔéì¡¿ºÔVp
ÔmÎ$ð0'dWVצµÀ¯îƤúÝwaµcówhÕ­´~äÎ1W	ê}²g¿½Qûï!Îã!I¿Ö¼B¤ñ oÁóf\_}¯VÍ]X:u¶ä×$ªæÏù¨@[k¾%P¯#À&|+°W8;8mtÓm]|,²°¹Rè7iáq{=:nZr ±ú¶ot³°"¨¤ìRVÓÇÁÝWK�¸Òg¨/§*0.9"Òë^:\8öw0íA^94ô&³óúÝpÓÏб޺ºn>=©.¬9ÅnEì{TaçZ_é³°G%êmeJO0Jê;ÿ¿Ò0ÄðÆsp{:Ëï«XóÈLÿóÜïúÎÙî6ÅH½zÓ?gðÜPÃÖszVÚF½Z5¨,]|{æúìÐÚù ÿËíwPKd��ù-��PK��$¸)B���������������META-INF/manifest.xml­TKnà ÝçÛÊÐfU¡8YTê	ÒP<v`°`âÛ[MìªJe«Ù1¿÷Þ|Äîpq¶8CÆcÅ^ø3+�µ¯
¶û8¾¯ì°ßìBÓ@$y}¹ãͬX
>(½&JT¢$-}X{ ÉùrdºY3[¶ß_c,¹>ôSv¬-;E§{ ÛAmTI}S]gVÓÄk>
>æsàBL¬ÑàÏíÝá�Å^(ï >X{¤¡ÏGãOÉ}¢26
>º>yíãTb¯õ·ºY°ãõ´º7iS!âV(­ÁB6}:ð÷ôþǵðncÂAOë9ÂÊ£ÞÂÒÛ_ÀþPK_Å2��>��PK�����$¸)B^Æ2'���'��������������������mimetypePK���$¸)BÄ.ñ2Å��Ì���������������M���meta.xmlPK���$¸)B-Ë Ñ��4&���������������H��settings.xmlPK���$¸)BQù¤��6���������������S��content.xmlPK�����$¸)B¾?S��S���������������0��Thumbnails/thumbnail.pngPK���$¸)B´÷hÒ�����������������¹#��manifest.rdfPK�����$¸)B�������������������������ø$��Configurations2/popupmenu/PK�����$¸)B�������������������������0%��Configurations2/images/Bitmaps/PK�����$¸)B�������������������������m%��Configurations2/toolpanel/PK�����$¸)B�������������������������¥%��Configurations2/statusbar/PK�����$¸)B�������������������������Ý%��Configurations2/progressbar/PK�����$¸)B�������������������������&��Configurations2/toolbar/PK�����$¸)B�������������������������M&��Configurations2/menubar/PK�����$¸)B�������������������������&��Configurations2/floater/PK���$¸)B�����������'�������������¹&��Configurations2/accelerator/current.xmlPK���$¸)Bd��ù-��
>�������������'��styles.xmlPK���$¸)B_Å2��>���������������¬/��META-INF/manifest.xmlPK������p��1����
Comment 5 vulcain 2013-04-07 14:30:10 UTC
A french user on mailing-List/nabble confirm that he have the same problem on 4.0.2.1 with windows 7, 64 bits but it's work on windows 32 bits.

@Joel Madero: Are you on 64 bits or on 32 bits
Comment 6 Joel Madero 2013-04-26 00:22:11 UTC
I can confirm this issue at least back to 
Version 3.6.0beta1 (Build ID: 1f1cdd)

As part of our regular regression cleanup I am updating this version so we can better locate when the bug got into the code.
Comment 7 Joel Madero 2013-05-02 20:15:43 UTC
removing bibisect as it can't be used to track down issue - issue happened prior to bibisect package range
Comment 8 vulcain 2013-05-26 17:24:01 UTC
Bug are still in LibreOffice 4.1.0.0.beta1
Build ID: 3a2c2d2417101e45fe07cfd8358acf2204a98f3
Comment 9 Andras Timar 2013-11-05 20:36:39 UTC
I'm not sure, if it is a bug at all. I installed the font called Symbola, which has full support of Miscellaneous Symbols and Pictographs Unicode range, and I saw all symbols in test document in LibreOffice 4.0 and 4.1 Linux/Windows. Do not expect to see the symbols, when you only have fonts, that don't have these glyphs.
Comment 10 vulcain 2013-11-09 22:52:38 UTC
@ Andras Timar: My apologize i don't say it: before tested my bug you need ttf-ancient-fonts 
I don't know for Windows's users, but on Ubuntu 12.04 with LibreOffice 3.5.7 from Ubuntu i could see and use Unicode U1F300. But after i install LibreOffice 4.1.3.2 (Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a ), i could see this unicode Unicode U1F300 with Liberation's font. 
I check, and only Smbola's font work. Why it's work with Libertaion's font in LibreOffice 3.5 or not in LibreOffice 4.1 ??

Steps to reproduce:
1) Check if you OS could use Unicode U1F300, go to http://en.wikipedia.org/wiki/Miscellaneous_Symbols_And_Pictographs (i suppose that web's browser could use all OS's font, tested: Firefox 25 on Ubuntu 12.04)
2) If it's not, you could add packet ttf-ancient-fonts, for Ubuntu it's: 
sudo apt-get install ttf-ancient-fonts
3) Open LibreOffice, i launch Unicode_1F300.odt
4) It's good, you could see all unicode as the Screencast on LibreOffice 3.5. If it's not, you could see only the last three as the Screencast on LibreOffice 4.0

Tested with:
Ubuntu 12.04 x86_64 with LibreOffice 3.5.7 from Ubuntu(Version ID : 350m1(Build:2)) => Ok
Ubuntu 12.04 x86_64 with LibreOffice 4.1.3.2 (Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a ) => fail
Ubuntu 13.10 x86_64 with LibreOffice 4.1.2.3 from Ubuntu Build ID: 410m0(Build:3) => Fail
Comment 11 Joel Madero 2013-11-10 03:47:03 UTC
Flawless instructions :) Got it - and got a bibisect

Marking as
New (confirmed)
Major (loss of data)
High (default)

regression + ConfirmedRegression, bibisected


+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ 1bfe96acc2fce1aa77ceca4c16ad93d85b033b39 is the first bad commit
commit 1bfe96acc2fce1aa77ceca4c16ad93d85b033b39
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Mon Dec 10 00:39:03 2012 +0000

    source-hash-836822522a2e9f009c0870cbbcd48d45bbd3c622
    
    commit 836822522a2e9f009c0870cbbcd48d45bbd3c622
    Author:     Rafael Dominguez <venccsralph@gmail.com>
    AuthorDate: Sat Jul 14 15:53:42 2012 -0430
    Commit:     Rafael Dominguez <venccsralph@gmail.com>
    CommitDate: Sun Jul 15 08:15:19 2012 -0430
    
        Create overlay for online templates.
    
        Change-Id: Ie09c91e23527d3e1389fc13bd13a8234bda080f3

:100644 100644 4139633eaae48833b5c99a8a96585d0419a26950 1b321839f886ee139062bb17a393d2a1affcd31a M	ccache.log
:100644 100644 9545b4da47ee1c814cc0f31514d40f8ab30194f2 2fd76f1416c514a6eea9cf04265ec460c860bfb5 M	commitmsg
:100644 100644 e679fecbd0522e3550cd8dc8b8b194671479a3ea df767f7d664fd5e785b597da65b0ee263346b212 M	dev-install.log
:100644 100644 a091e2c0d6b47e9cb56363e109e824b248b03f18 2ed5b8ab92fb1e963bd71441b275ed24e9e87569 M	make.log
:040000 040000 2a400d18b834fe0b7c04a75aa24b82d18195a41d 238648981137ddd02dbc39393d122f00e9ad4e96 M	opt


# bad: [5b4b36d87517a6ea96ff8c84c46b12f462fc9a1a] source-hash-8450a99c744e9005f19173e4df35d65640bcf5c4
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [16b0b88cbd4ef0f51816e97277e40c5cf78f7bf9] source-hash-099198a4224778fe6e43f5dc13b5b9b1b4dc828c
git bisect good 16b0b88cbd4ef0f51816e97277e40c5cf78f7bf9
# bad: [f28b8f9a6c47fa59bf98fffe937a2f2db7a2445a] source-hash-a581d31b227623e09d2970a91214fda398f98eda
git bisect bad f28b8f9a6c47fa59bf98fffe937a2f2db7a2445a
# good: [5bf3b624cdeb593e55402f44c730209f12813961] source-hash-4b4ca8030285bd66526ff5bb2b6ea5a75a6c6bc7
git bisect good 5bf3b624cdeb593e55402f44c730209f12813961
# bad: [70771b69f427dcd3ace8caea819338f104b88c43] source-hash-83837d6514217c82ebe8d56dddf89fa34f4b5435
git bisect bad 70771b69f427dcd3ace8caea819338f104b88c43
# bad: [517b06fcbaceee61aa0ce4cc51663cc835444966] source-hash-06f20d73da21342046a480a6b22af69901351328
git bisect bad 517b06fcbaceee61aa0ce4cc51663cc835444966
# bad: [e3fca4693fc359630ec1bbf45821875104da8928] source-hash-45c8db7ec89978029db2027585da986794971f7c
git bisect bad e3fca4693fc359630ec1bbf45821875104da8928
# good: [3501400226747f76691878608ef47b5148362858] source-hash-15af925c254f27046427de70a59011e2ac3d6bdb
git bisect good 3501400226747f76691878608ef47b5148362858
# bad: [1bfe96acc2fce1aa77ceca4c16ad93d85b033b39] source-hash-836822522a2e9f009c0870cbbcd48d45bbd3c622
git bisect bad 1bfe96acc2fce1aa77ceca4c16ad93d85b033b39
Comment 12 Joel Madero 2013-11-10 03:47:51 UTC
Also updating version - not positive but I think it was around 4.0.0.3 release (definitely not all the way back to 3.6 beta0)
Comment 13 Andras Timar 2013-11-11 16:52:12 UTC
Linux-only issue. It may be related to build configuration, too, because I can reproduce the bug with TDF builds, i.e. when Symbola font is installed, I see the symbols in 3.5.7.2 and 3.6.7.2, but I don't see them in 4.1.3.2. However, in my own builds I see the symbols, even in Collabora builds I see them, which are also built on CentOS 5.

In the 15af925c254f27046427de70a59011e2ac3d6bdb..836822522a2e9f009c0870cbbcd48d45bbd3c622  range I see some font related commits from Caolán, but I have no idea how they can be related.
Comment 14 Caolán McNamara 2013-11-13 10:33:13 UTC
I have an old build here and can reproduce this. Only half of the the UTF-16 two unit strings is being passed to the glyphfallback. I strongly suspect that this is fixed with http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a0984fd383e54c130016d15a0b72c230968c61e&h=libreoffice-4-1

I'll double check that now.
Comment 15 pierre-yves samyn 2013-11-13 14:34:45 UTC
Hello

(In reply to comment #13)
> Linux-only issue...

Can you be sure? For windows 7 I reproduce the problem.

I can add the following information (test 4.1.3.1 and 4.2.0.0.alpha0+)

1. Deleting profile
2. Launch LibreOffice
3. File> Open =>  "Test document with unicode caracter" 

Unicode characters are not displayed *and* the preview does not work in the font list (see UnicodeFileOpen.png screenshot)

Quit LibreOffice

1. Deleting profile
2. Double click in Explorer windows on the document

The document loads, the unicode characters are displayed (and preview
works) (see UnicodeOpenExpl.png screenshot).

The problem is also reproduced (qa-fr) with
LO Portable 3.6.6.2, 4.1.3.2 LO, LO 4.2.0.0.alpha0+ on Windows 7 Home
Premium.

Note: Delete the profile is not necessary to reproduce the problem. This step  is only to exclude a possible cause.

Best regards
Pierre-Yves
Comment 16 pierre-yves samyn 2013-11-13 14:35:31 UTC
Created attachment 89146 [details]
Screenshot UnicodeOpenExpl.png
Comment 17 pierre-yves samyn 2013-11-13 14:36:16 UTC
Created attachment 89147 [details]
Screenshot UnicodeFileOpen.png
Comment 18 Caolán McNamara 2013-11-14 10:13:25 UTC
As far as I can tell, http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a0984fd383e54c130016d15a0b72c230968c61e&h=libreoffice-4-1 does seem to fix the Linux variant of this. So I deem that platform ok.

caolanm->pierre-yves.samyn: Can you log a different bug for windows. The underlying stuff is quite different per platform here.
Comment 19 pierre-yves samyn 2013-11-14 10:51:21 UTC
Hello

(In reply to comment #18)
> caolanm->pierre-yves.samyn: Can you log a different bug for windows. The
> underlying stuff is quite different per platform here.

Done : Bug 71603

Thank you for advice
Pierre-Yves
Comment 20 Joel Madero 2013-11-14 14:16:13 UTC
Verified - just checked 4.2 and it looks good.
Comment 21 vulcain 2013-12-16 20:53:48 UTC
I confirm it's work both on LibreOffice 4.2.0.0.beta2 (Build ID: 1a27be92e320f97c20d581a69ef1c8b99ea9885d ) and LibreOffice 4.1.4.2 (Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72)

Thanks for your work.
Comment 22 Robinson Tryon (qubit) 2015-12-15 22:20:35 UTC Comment hidden (obsolete)